/experimental/retail-media/line-items/{line-item-id}/set-bidding-strategy
curl --request POST \
--url https://api.criteo.com/experimental/retail-media/line-items/{line-item-id}/set-bidding-strategy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"cpm": {
"adaptiveBiddingSettings": {
"maxBid": 123
},
"standardBiddingSettings": {
"auctionBids": [
{
"bid": 123
}
]
}
}
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/experimental/retail-media/line-items/{line-item-id}/set-bidding-strategy"
payload = { "data": {
"attributes": { "cpm": {
"adaptiveBiddingSettings": { "maxBid": 123 },
"standardBiddingSettings": { "auctionBids": [{ "bid": 123 }] }
} },
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
cpm: {
adaptiveBiddingSettings: {maxBid: 123},
standardBiddingSettings: {auctionBids: [{bid: 123}]}
}
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/experimental/retail-media/line-items/{line-item-id}/set-bidding-strategy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"cpm": {
"bidStrategy": "Standard",
"adaptiveBiddingSettings": {
"maxBid": 123
},
"standardBiddingSettings": {
"auctionBids": [
{
"bid": 123,
"pageType": "Unknown"
}
]
}
}
},
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/experimental/retail-media/line-items/{line-item-id}/set-bidding-strategy
Replaces the submitted Standard page-type bids and updates the supplied strategy settings. Omitted settings are preserved. Other line item types are not currently supported by this endpoint.
POST
/
experimental
/
retail-media
/
line-items
/
{line-item-id}
/
set-bidding-strategy
/experimental/retail-media/line-items/{line-item-id}/set-bidding-strategy
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The identifier of the line item whose bidding settings are being updated.
Body
application/json
The bidding settings to apply.
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for a single value object.
Was this page helpful?